/*importing google fonts*/
@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,400;0,600;0,700;1,400&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    
}



:root{
    /*color*/
    --white-color:#fff;
    --dark-color:#252525;
    --primary-color:#3b141c;
    --secondary-color:#f3961c;
    --light-pink-color:#faf4f5;
    --medium-gray-color:#ccc;

    /*font size*/
    --font-size-s:0.9rem;
    --font-size-n:1rem;
    --font-size-m:1.12rem;
    --font-size-l:1.5rem;
    --font-size-xl:2rem;
    --font-size-xxl:2.3rem;
    
    /*font weight*/
    --font-weight-normal:400;
    --font-weight-medium:500;
    --font-weight-semibold:600;
    --font-weight-bold:700;

    /*border radius*/
    --border-radius-s:8px;
    --border-radius-m:30px;
    --border-radius-circle:50%;

    /*site max width*/
    --site-max-width:1300px;
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
}

button{
    cursor: pointer;
    border:none;
    background:none;
}

img {
    width:100%;
}

.section-content{
    margin: 0 auto;
    padding: 0 20px;
    max-width: var(--site-max-width);
}

.section-title{
    text-align: center;
    padding: 60px 0 100px;
    text-transform: uppercase;
    font-size: var(--font-size-xl);
}

.section-title::after{
    content:"";
    width: 80px;
    height: 5px;
    display:block;
    margin: 10px auto 0;
    border-radius: var(--border-radius-s);
    background: var(--secondary-color);
}

/*Nav-bar styling*/
header{
    position:fixed;
    width:100%;
    z-index: 5;
    background: var(--primary-color);

}

header .navbar{
    display: flex;
    float: left;
    padding: 20px;
    align-items: center;
    justify-content: space-between;
}
.navbar .nav-logo .logo-text{
    color: var(--white-color);
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-semibold);
}

.navbar .nav-menu{
    display: flex;
    gap:10px;
}
.navbar .nav-menu .nav-link {
    padding: 10px 18px;
    color: var(--white-color);
    font-size: var(--font-size-m);
    background: var(--secondary-color);
    border-radius: var(--border-radius-m);
    transition: 0.3s ease;
} 

.navbar .nav-menu .nav-link:hover{
    color: var(--primary-color);
    background: var(--secondary-color);

}

.navbar :where(#menu-close-button, #menu-open-button){
    display:none;
}

/* hero section in style.css*/
.hero-section{
    min-height: 100vh;
    background: var(--primary-color);
}

.hero-section .section-content{
    display: flex;
    align-items: center;
    min-height: 100vh;
    color:var(--white-color);
    justify-content: space-between;
}
.hero-section .hero-details .title{
    font-size:var(--font-size-xxl);
    color:var(--secondary-color);
    font-family: "Miniver", sans-serif;
}
.hero-section .hero-details .subtitle{
    margin-top: 8px;
    max-width: 70%;
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-semibold);
    
}

.hero-section .hero-details .description{
    max-width: 70%;
    margin: 24px 0 40px;
    font-size: var(--font-size-m);

}
.hero-section .hero-details .button{
    display:flex;
    gap:23px;
}
.hero-section .hero-details .button{
    padding: 10px 26px;
    border: 2px solid transparent;
    color: var(--primary-color);
    border-radius: var(--border-radius-m);
    background: var(--secondary-color);
    font-weight:var(--font-weight-medium);
    transition: 0.3s ease;
}
.hero-section .hero-details .button:hover,
.hero-section .hero-details .contact-us{
    color:var(--white-color);
    border-color:var(--white-color);
    background: transparent;
}
.hero-section .hero-details .contact-us:hover{
color:var(--primary-color);
border-color: var(--secondary-color);
background: var(--secondary-color);
}
.hero-section .hero-image-wrapper{
    max-width:500px;
    margin-right: 30px;
}

.about-section{
    padding: 120px 0;
    background : var(--light-pink-color);
}
.about-section .section-content{
    display: flex;
    gap: 50px;
    align-items: center;
    justify-content: space-between;
}

.about-section .about-image-wrapper .about-image{
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: var(--border-radius-circle);
}
.about-section .about-details .section-title{
    padding:0;
}

.about-section .about-details{
    max-width:50%;
}
.about-section .about-details .text{
    line-height: 30px;
    margin:50px 0 30px;
    text-align: center;
    font-size:var(--font-size-m);
}
.about-section .section-link-list{
    display:flex;
    gap:25px;
    justify-content:center;
}

.about-section .social-link-list .socila-link{
    color:var(--primary-color);
    font-size: var(--font-size-l);
    transition: 0.2s ease-in;
}

.about-section .social-link-list .socila-link:hover{
    color:var(--secondary-color);
}

/*Responsive media query code for max width900px*/
@media screen and (max-width: 900px) {
      /*font size*/
   :root{
      --font-size-m:1rem;
      --font-size-l:1.3rem;
      --font-size-xl:1.5rem;
      --font-size-xxl:1.8rem;
   }

   body.show-mobile-menu header::before{
    content: "";
    position: fixed;
    left:0;
    top:0;
    height:100%;
    width:100%;
    backdrop-filter:blur(5px);
    background: rgba(0,0,0,0.2);

   }
      .navbar :where(#menu-close-button, #menu-open-button)
{
    display:block;
    font-size:var(--font-size-l);
}
.navbar #menu-close-button{
    position: absolute;
    right:30px;
    top:30px;
}

.navbar #menu-open-button{
    color:var(--white-color);
}
    .navbar .nav-menu {
        display: block;
        position: fixed;
        left: -300px;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;;
        background: var(--white-color);
        transition: left 0.2s ease;
    }

    body.show-mobile-menu .navbar .nav-menu{
left:0;
    }

    .navbar .nav-menu .nav-link{
        color:var(--dark-color);
        display: block;
        margin-top: 17px;
        font-size: var(--font-size-l);
    }
    .hero-section .section-content{
        gap:50px;
        text-align: center;
        padding: 30px 20px 20px;
        flex-direction: column-reverse;
        justify-content: center;

    }

    .hero-section .hero-details :is(.subtitle,description){
max-width: 100%;
    }
.hero-section .hero-details .buttons{
    justify-content: center;
}
    .hero-section.hero-image-wrapper{
        max-width: 270px;
        margin-right: 0;

    }
    .about-section .section-content{
        gap:70px;
        flex-direction:column-reverse;
    }
    .about-setcion .about-image-wrapper .about-image{
        width:100%;
        height:100%;
        max-width:250px;
        aspect-ratio: 1;
    }
    }